| Classes - Annotated - Tree - Functions - Home - Structure

# QPNGImagePacker Class Reference

Creates well-compressed PNG animations. More...

`#include <qpngio.h>`

Inherits QPNGImageWriter.

List of all member functions.

## Public Members

- QPNGImagePacker ( QIODevice *, int depth, int convflags )
- void setPixelAlignment ( int x )
- bool packImage ( const QImage & img )

## Detailed Description

Creates well-compressed PNG animations.

By using transparency, QPNGImagePacker allows you to build a PNG image from a sequence of QImages.

## Member Function Documentation

### QPNGImagePacker::QPNGImagePacker ( QIODevice * iod, int storage_depth, int conversionflags )

Create an image packer that writes PNG data to iod, using a storage_depth bit encoding (use 8 or 32, depending on the desired quality and compression requirements).

### bool QPNGImagePacker::packImage ( const QImage & img )

Add the image img to the PNG animation, analyzing the differences between this and the previous image to improve compression.

### void QPNGImagePacker::setPixelAlignment ( int x )

Align pixel differences to x pixels. For example, using 8 can improve playback on certain hardware. Normally the default of 1-pixel alignment (ie. no alignment) gives bets compression and performance.

Search the documentation, FAQ, qt-interest archive and more (uses www.trolltech.com):

This file is part of the Qt toolkit, copyright © 1995-2001 Trolltech, all rights reserved.